Subject: Re: [patch] Change Networking mibs to use kmalloc_percpu -- 1/3

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Wed, 4 Dec 2002 20:34:27 -0200

Em Wed, Dec 04, 2002 at 09:01:52AM -0800, David S. Miller escreveu:
>    From: Ravikiran G Thirumalai <[email-masked]>
>    Date: Wed, 4 Dec 2002 18:05:10 +0530
> 
>    Here's a patchset to enable networking mibs to use kmalloc_percpu instead
>    of the traditional padded NR_CPUS arrays.
>    
>    Advantages:
>    1. Removes NR_CPUS bloat due to static definition
>    2. Can support node local allocation
>    3. Will work with modules
>    
> I totally support this work.  Once the kmalloc percpu bits hit
> Linus's tree, just retransmit these diffs to me privately and
> I'll put them into my net-2.5 tree.

Cool stuff! I was planning to macroise this so that things like this would be
possible without source impact but now its just there, keep it up :-)

- Arnaldo